---
lang: en
title: 'API docs: rest.restrouter'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.restrouter.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RestRouter](./rest.restrouter.md)

## RestRouter interface

**Signature:**

```typescript
export interface RestRouter 
```

## Methods

<table><thead><tr><th>

Method


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[add(route)](./rest.restrouter.add.md)


</td><td>

Add a route to the router


</td></tr>
<tr><td>

[find(request)](./rest.restrouter.find.md)


</td><td>

Find a matching route for the given http request


</td></tr>
<tr><td>

[list()](./rest.restrouter.list.md)


</td><td>

List all routes


</td></tr>
</tbody></table>

